package com.wzj.soopin.transaction.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.wzj.soopin.transaction.domain.bo.DivideBO;
import com.wzj.soopin.transaction.domain.po.Divide;
import com.wzj.soopin.transaction.domain.vo.DivideVO;

public interface IDivideService extends IService<Divide> {

    boolean save(  DivideBO bo);

    DivideVO getVOById( Long divideId);


    void divide(Long orderId);

    boolean cancelDivide(String orderNo);


    boolean divideCallback(String divideNo);

    boolean cancelDivideCallback(String divideNo);

    Divide getByOrderNo(String orderNo);
}
